umbrello: UMLListViewFinder Class Reference

umbrello 2.32.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Member Functions | List of all members
UMLListViewFinder Class Reference

`#include <umllistviewfinder.h>`

Inheritance diagram for UMLListViewFinder:

## Public Member Functions
| UMLListViewFinder ()
virtual | ~UMLListViewFinder ()
virtual int | collect (Category category, const QString &text)
virtual Result | displayNext ()
virtual Result | displayPrevious ()
Public Member Functions inherited from UMLFinder
| UMLFinder ()
virtual | ~UMLFinder ()
virtual int | collect (Category category, const QString &text)=0
virtual Result | displayNext ()=0
virtual Result | displayPrevious ()=0

## Protected Member Functions
bool | showItem (Uml::ID::Type id)
Protected Member Functions inherited from UMLFinder
bool | includeObject (Category category, UMLObject *o)

## Additional Inherited Members
Public Types inherited from UMLFinder
enum | Category { All , Classes , Packages , Interfaces , Operations , Attributes }
enum | Filter { TreeView , CurrentDiagram , AllDiagrams }
enum | Result { Empty , End , Found , NotFound }
Protected Attributes inherited from UMLFinder
int | m_index
QList< Uml::ID::Type > | m_items

## Detailed Description

UMLListViewFinder provides finding of items in the tree view

Author
  : Ralf Habacker ralf..nosp@m.haba.nosp@m.cker@.nosp@m.free.nosp@m.net.d.nosp@m.e

## Constructor & Destructor Documentation

## ◆ UMLListViewFinder()

UMLListViewFinder::UMLListViewFinder | ( |  | ) |

## ◆ ~UMLListViewFinder()

UMLListViewFinder::~UMLListViewFinder | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ collect()

int UMLListViewFinder::collect | ( | Category | category,
|  | const QString & | text
| ) |  |
| virtual

Collect items limited by a category and a text

Parameters

  category | Category to search for
  text | Text to search for

Returns
  Number of items found

Implements UMLFinder.

## ◆ displayNext()

UMLFinder::Result UMLListViewFinder::displayNext | ( |  | ) |
| virtual

Show next item.

Returns
  Result result of the operation

Implements UMLFinder.

## ◆ displayPrevious()

UMLFinder::Result UMLListViewFinder::displayPrevious | ( |  | ) |
| virtual

Show previous item.

Returns
  Result result of the operation

Implements UMLFinder.

## ◆ showItem()

bool UMLListViewFinder::showItem | ( | Uml::ID::Type | id | ) |
| protected

Show item in Tree View.

Parameters

  id | ID of uml object to show

Returns
  false list view entry not found, true otherwise

The documentation for this class was generated from the following files:

- umbrello/finder/umllistviewfinder.h
- umbrello/finder/umllistviewfinder.cpp